Bug 811782 - Review Request: python-tw2-sqla - SQLAlchemy database layer for ToscaWidgets2
Review Request: python-tw2-sqla - SQLAlchemy database layer for ToscaWidgets2
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jerry James
Fedora Extras Quality Assurance
:
Depends On: 811769
Blocks: 812030 818293
  Show dependency treegraph
 
Reported: 2012-04-11 20:56 EDT by Ralph Bean
Modified: 2014-11-13 14:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-22 11:40:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
loganjerry: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2012-04-11 20:56:33 EDT
Spec URL: http://threebean.org/rpm/python-tw2-sqla.spec
SRPM URL: http://threebean.org/rpm/python-tw2-sqla-2.0.0-1.fc17.src.rpm
Description: 
tw2.sqla is a database layer for ToscaWidgets 2 and SQLAlchemy. It allows common
database tasks to be achieved with minimal code.

----

This package depends on python-tw2-dynforms which is currently up for review - https://bugzilla.redhat.com/show_bug.cgi?id=811769
Comment 1 Ralph Bean 2012-05-02 19:06:56 EDT
Upstream version bump to include LICENSE file.

Spec URL: http://threebean.org/rpm/python-tw2-sqla.spec
SRPM URL: http://threebean.org/rpm/python-tw2-sqla-2.0.1-1.fc17.src.rpm
Comment 2 Jerry James 2012-05-03 15:36:47 EDT
This package has the same directory ownership issue as python-tw2-dynforms, but is otherwise in good shape.

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[!]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint python-tw2-sqla-2.0.1-1.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint python-tw2-sqla-2.0.1-1.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/jamesjer/811782/tw2.sqla-2.0.1.tar.gz :
  MD5SUM this package     : 68c83611b466f43df68040b9c4bd7e5b
  MD5SUM upstream package : 68c83611b466f43df68040b9c4bd7e5b

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


Generated by fedora-review 0.1.3
External plugins:
Comment 3 Ralph Bean 2012-05-03 18:34:58 EDT
New release which hopefully fixes the directory ownership issue pointed out by the reviewer.

Spec URL: http://threebean.org/rpm/python-tw2-sqla.spec
SRPM URL: http://threebean.org/rpm/python-tw2-sqla-2.0.1-2.fc17.src.rpm
Comment 4 Jerry James 2012-05-03 18:47:05 EDT
Looks good.  This package is APPROVED.
Comment 5 Ralph Bean 2012-05-04 11:04:57 EDT
New Package SCM Request
=======================
Package Name: python-tw2-sqla
Short Description: SQLAlchemy database layer for ToscaWidgets2
Owners: ralph
Branches: f17 el6
InitialCC:
Comment 6 Gwyn Ciesla 2012-05-04 11:30:13 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-05-04 14:01:42 EDT
python-tw2-sqla-2.0.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-tw2-sqla-2.0.1-3.fc17
Comment 8 Fedora Update System 2012-05-04 14:11:20 EDT
python-tw2-sqla-2.0.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-tw2-sqla-2.0.1-3.el6
Comment 9 Fedora Update System 2012-05-04 18:15:58 EDT
python-tw2-sqla-2.0.1-3.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-05-22 11:40:40 EDT
python-tw2-sqla-2.0.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 11 Fedora Update System 2012-05-26 03:11:06 EDT
python-tw2-sqla-2.0.1-3.fc17 has been pushed to the Fedora 17 stable repository.
Comment 12 Ralph Bean 2014-11-13 13:38:56 EST
Package Change Request
======================
Package Name: python-tw2-sqla
New Branches: epel7
Owners: ralph
InitialCC:
Comment 13 Gwyn Ciesla 2014-11-13 14:36:52 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.